%define name powertweak
%define version 0.99.5
%define release %mkrel 3
%define lib_major       0
%define lib_name        %mklibname %{name} %{lib_major}

Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Summary:	Powertweak - Tune system to optimal performance.
License:	GPL
Group:		System/Kernel and hardware
URL:		http://powertweak.sourceforge.net/
Source: 	http://powertweak.sourceforge.net/files/%{name}-%{version}.tar.bz2
Source1:	powertweakd.init
Patch0:  	powertweak-mtrr.patch.bz2
Patch1:  	powertweak-elevator.patch.bz2
Requires:	libxml >= 1.8.8, pciutils, %{lib_name} = %{version}-%{release}
BuildRequires:	pciutils, libgtk+-devel >= 1.2.0, ncurses-devel, libxml2-devel >= 2.4.19
Requires(post,preun):	rpm-helper 

%description
Powertweak is a utility for tweaking your Linux system to peak performance.
It can tune many parts of your system. Tunes PCI devices to use optimal
settings. Enables performance enhancing features of the CPU(s).

%package -n     %{lib_name}
Summary:        Library associated with powertweak.
Group:          System/Libraries
Provides:       %{lib_name} = %{version}-%{release}

%description -n %{lib_name}
This library is mandatory for powertweak.


%package gtk
Summary: 	Powertweak GTK userinterface
Group:		System/Kernel and hardware
Requires:	powertweak, gtk+2

%description gtk
This is the GTK version of the Powertweak userinterface. 

%prep
%setup -q
%patch0
%patch1


%build
%configure
make

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_mandir}/man8
mkdir -p $RPM_BUILD_ROOT%{_initrddir}
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/powertweak
#mkdir -p $RPM_BUILD_ROOT/etc/X11/applnk/System

make DESTDIR=$RPM_BUILD_ROOT install

install -m 755 %SOURCE1 $RPM_BUILD_ROOT/%{_initrddir}/powertweakd
touch $RPM_BUILD_ROOT%{_sysconfdir}/powertweak/tweaks

# icons
install -D -m 644 %{name}.xpm $RPM_BUILD_ROOT%{_liconsdir}/%{name}.xpm
install -D -m 644 %{name}.xpm $RPM_BUILD_ROOT%{_iconsdir}/%{name}.xpm
install -D -m 644 %{name}.xpm $RPM_BUILD_ROOT%{_miconsdir}/%{name}.xpm
# menu entry
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat << EOF > %buildroot%{_datadir}/applications/mandriva-%{name}-gtk.desktop
[Desktop Entry]
Type=Application
Exec=%{_bindir}/g%{name}
Icon=%{name}
Categories=System;Monitor;
Name=Powertweak
Comment=%{summary}
EOF


#Crappy cleaning
find Documentation -name CVS -type d | xargs rm -rf
rm -f $RPM_BUILD_ROOT/usr/lib/powertweak/plugins/*.a
rm -f $RPM_BUILD_ROOT/usr/lib/powertweak/plugins/core/*.a
rm -f $RPM_BUILD_ROOT/usr/lib/powertweak/plugins/*.la
rm -f $RPM_BUILD_ROOT/usr/lib/powertweak/plugins/*.so.0

%clean
rm -rf $RPM_BUILD_ROOT

%post
%_post_service  powertweakd

%preun
%_preun_service  powertweakd

%post gtk
%{update_menus}

%postun gtk
%{clean_menus}

%files
%defattr(-,root,root)
%doc Documentation/FAQ Documentation/Sponser.txt Documentation/support.txt AUTHORS ChangeLog COPYING INSTALL NEWS README TODO
%{_sbindir}/powertweakd
%{_datadir}/powertweak/*
%{_bindir}/lspowertweak
%config(noreplace) %{_initrddir}/powertweakd
%config(noreplace) %{_sysconfdir}/powertweak/tweaks

%files -n %{lib_name}
%defattr(-,root,root)
%{_libdir}/powertweak/plugins/*proc*
%{_libdir}/powertweak/plugins/core/*
%{_libdir}/powertweak/plugins/*pci*
%{_libdir}/powertweak/plugins/*elevator*
%{_libdir}/powertweak/plugins/*hdparm*
%{_libdir}/powertweak/plugins/*cdrom*
%{_libdir}/powertweak/plugins/*dmi*
%{_libdir}/powertweak/plugins/*sonypi*
%ifarch i386 i486 i586 i686
%{_libdir}/powertweak/plugins/*cpu*
%endif


%files gtk
%defattr(-,root,root)
%{_bindir}/gpowertweak
%{_datadir}/applications/mandriva-%{name}-gtk.desktop
%{_liconsdir}/%{name}.xpm
%{_iconsdir}/%{name}.xpm
%{_miconsdir}/%{name}.xpm



%changelog
* Fri Dec 21 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.99.5-3mdv2008.1
+ Revision: 136245
- auto-convert XDG menu entry
- do not reinvent spec-helper
- s/BuildPrereq/BuildRequires/
- fix prereq on rpm-helper
- kill re-definition of %%buildroot on Pixel's request
- kill icon tag (unused and breaks build with iurt)
- use %%mkrel
- import powertweak


* Tue Aug 17 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.99.5-2mdk
- fix menu entry
- fix rpmlint warnings
- merge lost changelog

* Tue Aug 17 2004 Erwan Velu <erwan@mandrakesoft.com> 0.99.5-2mdk
- Fixing rpmlint issues

* Mon Aug 16 2004 Erwan Velu <erwan@mandrakesoft.com> 0.99.5-1mdk
- Initial release

* Sat Jan 19 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.99.4-3mdk
- Fix menu entry

* Fri Dec 14 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.99.4-2mdk
- rebuild with right compiler

* Thu Oct 04 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.99.4-1mdk
- 0.99.4

* Thu Aug 30 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.99.2-1mdk
- 0.99.2

* Thu Sep 14 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.1.16-2mdk
- macros
- BM
- menu

* Sat Jul 15 2000 Giuseppe Ghib <ghibo@mandrakesoft.com> 0.1.16-1mdk
- fixed group
- initial mandrake release
- mandrake adaptions.

* Mon May 22 2000 Ryan Weaver <ryanw@infohwy.com>
  [powertweak-0.1.15-1]
- Submitted patch to author to fix included spec file in source.
- Removed /usr/share/powertweak and /var/log/powertweak because they
  are not used.
- Now installing gpowertweak.man and powertweakconfig.man. (debian dir)
- Now installing logrotate config file for /var/log/powertweak.log (debian dir)

* Fri May 19 2000 Ryan Weaver <ryanw@infohwy.com>
  [powertweak-0.1.14-1]
- Submitted patch to author to include spec file in source.
